Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlOp

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlOp

All Implemented Interfaces:
  idlObject, idlOperation, java.io.Serializable

public class IdlOp
extends IdlObject
implements idlOperation

Cette classe represente l'objet IDL Op

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlOp(IdlObject father)` Cree un objet IDL Op

Method Summary
`void` | `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`java.util.Enumeration` | `content()` Return this idlObject content
`java.lang.String[]` | `contexts()` Return the contexts
`idlException[]` | `exceptions()` Return the exceptions
`boolean` | `isOneway()` Return TRUE if this operation is marked as 'oneway'
`boolean` | `oneway()` Retourne le flag oneway de l'operation
`void` | `oneway(boolean one)` Fixe le flag oneway de l'operation
`idlParameter[]` | `parameters()` Return the parameters
`idlObject` | `returnType()` Return the return type

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlOp

    public IdlOp(IdlObject father)

  Cree un objet IDL Op

Method Detail

### oneway

    public boolean oneway()

  Retourne le flag oneway de l'operation
  Returns:
    le flag

### oneway

    public void oneway(boolean one)

  Fixe le flag oneway de l'operation
  Parameters:
    `rd` - le flag

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### isOneway

    public boolean isOneway()

  Description copied from interface: `idlOperation`
  Return TRUE if this operation is marked as 'oneway'
  Specified by:
    `isOneway` in interface `idlOperation`

### returnType

    public idlObject returnType()

  Description copied from interface: `idlOperation`
  Return the return type
  Specified by:
    `returnType` in interface `idlOperation`

### parameters

    public idlParameter[] parameters()

  Description copied from interface: `idlOperation`
  Return the parameters
  Specified by:
    `parameters` in interface `idlOperation`

### exceptions

    public idlException[] exceptions()

  Description copied from interface: `idlOperation`
  Return the exceptions
  Specified by:
    `exceptions` in interface `idlOperation`

### contexts

    public java.lang.String[] contexts()

  Description copied from interface: `idlOperation`
  Return the contexts
  Specified by:
    `contexts` in interface `idlOperation`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD